#pragma once
#include "B4RDefines.h"
#include "Adafruit_MPR121.h"
//~version: 0.3
namespace B4R {
	//~shortname: AdafruitMPR121
	class B4RAdafruitMPR121 {
		private:
			Adafruit_MPR121* mpr;
			uint8_t be[sizeof(Adafruit_MPR121)];
		public:
			
			// The default I2C address
      #define /*Byte MPR121_I2CADDR_DEFAULT;*/ B4RAdafruitMPR121_MPR121_I2CADDR_DEFAULT 0x5A

			/**
			*Initializes the device.
			*Default address is 0x5A.
			*If tied to 3.3V = 0x5B, SDA = 0x5C, SCL = 0x5D
			*Returns false if device MPR151 not found.
			*/
			bool Initialize(Byte Addr);

  		UInt FilteredData(Byte t);

  		UInt BaselineData(Byte t);

  		Byte ReadRegister8(Byte reg);

  		UInt ReadRegister16(Byte reg);

  		void WriteRegister(Byte reg, Byte value);

  		UInt Touched(void);

		  void SetThresholds(Byte touch, Byte release);

	};
}